TEEM(1)

NAME
Teem-gprobe - Shows off the functionality of the gage library

SYNOPSIS
teem-gprobe -i <nin> -k <kind> [-v <verbosity>] -q <query> \fR

DESCRIPTION
./teem-gprobe: Shows off the functionality of the gage library. Uses gageProbe() to query various kinds of volumes to learn various measured or derived quantities.

    [-gmc <min gradmag>] [-ofs] [-seed <N>] [-k00 <kern00>] [-k11 <kern11>] \ [-k22 <kern22>] [-rn] [-ssn <SS #>] [-ssr <scale range>] \ [-kssb <kernel>] [-kssr <kernel>] [-ssu] [-sso] [-ssnd] [-ssf <SS \ read/save format>] [-s <sclX sclY sxlZ>] [-ssp <pos>] [-pg <nrrd>] \ [-pi <nrrd>] [-pp <pos ...>] [-eps <epsilon>] [-psi <p>] [-t <type>] \ [-o <nout>]

    -i <nin> = input volume

    -k <kind> = "kind" of volume ("scalar", "vector", "tensor",

    or "dwi")

    -v <verbosity> = verbosity level (int); default: "1"

    -q <query> = the quantity (scalar, vector, or matrix) to learn

    by probing (string)

-gmc <min gradmag> = For curvature-based queries, use zero when
    gradient magnitude is below this (double); default: "0.0"

    -ofs = If only per-axis spacing is available, use that

    to contrive full orientation info

    -seed <N> = RNG seed; mostly for debugging (unsigned int);

    default: "42"

    -k00 <kern00> = kernel for gageKernel00; default: "tent" -k11 <kern11> = kernel for gageKernel11; default: "cubicd:1,0" -k22 <kern22> = kernel for gageKernel22; default: "cubicdd:1,0"

    -rn = renormalize kernel weights at each new sample

    location. "Accurate" kernels don't need this; doing it always makes things go slower

    -ssn <SS #> = how many scale-space samples to evaluate, or, 0

    to turn-off all scale-space behavior (unsigned int); default: "0"

-ssr <scale range> = range of scales in scale-space (2 doubles);
    default: "nan nan"

    -kssb <kernel> = blurring kernel, to sample scale space;

    default: "dgauss:1,5"

    -kssr <kernel> = kernel for reconstructing from scale space

    samples; default: "hermite"

    -ssu = do uniform samples along sigma, and not (by

    default) samples according to the effective diffusion scale

    -sso = if not using "-ssu", use pre-computed optimal

    sigmas when possible

    -ssnd = normalize derivatives by scale

-ssf <SS read/save format> = printf-style format (including a "%u") for the

    filenames from which to read pre-blurred volumes computed for the stack, if they exist and match the stack parameters, and where to save them if they had to be re-computed. Leave this as empty string to disable this. (string); default: ""

-s <sclX sclY sxlZ> = scaling factor for resampling on each axis (>1.0
    : supersampling); use "-ssp" (and "-psi")to specify scale position of sampling (3 doubles); default: "1 1 1"

    -ssp <pos> = when using scale-space, scale-position at which

    to probe (double); default: "0"

    -pg <nrrd> = overrides "-s": 2-D nrrd which specifies origin

    and direction vectors for sampling grid; default: ""

    -pi <nrrd> = overrides "-pv": probes at this list of 3-vec or

    4-vec positions; default: ""

    -pp <pos ...> = overrides "-pi": only sample at this specified

    point (3..4 doubles); default: "nan nan nan"

    -eps <epsilon> = if non-zero, and if query is a scalar, and if

    using "pp" to query at a single point, then do epsilon offset probes to calculate discrete differences, to find the numerical gradient and hessian (for debugging) (double); default: "0"

    -psi <p> = whether the probe location specification (by any

    of the four previous flags) are in index space (bool); default: "true"

    -t <type> = type of output volume (type); default: "float" -o <nout> = output volume (string); default: "-"

SEE ALSO
The full documentation for Teem is maintained as a Texinfo manual. If the info and Teem programs are properly installed at your site, the command

    info Teem

should give you access to the complete manual.